Bug 832559 - ipa-server-install fails when previous uninstall fails to clean nss db
ipa-server-install fails when previous uninstall fails to clean nss db
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 14:09 EDT by Namita Soman
Modified: 2015-01-21 10:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 10:06:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Namita Soman 2012-06-15 14:09:04 EDT
Description of problem:
install ipa server, uninstall, then reinstall fails intermittently with error:
Configuring named:
  [1/9]: adding DNS container
  [2/9]: setting up our zone
  [3/9]: setting up reverse zone
  [4/9]: setting up our own record
  [5/9]: setting up kerberos principal
  [6/9]: setting up named.conf
  [7/9]: restarting named
  [8/9]: configuring named to start on boot
  [9/9]: changing resolv.conf to point to ourselves
done configuring named.

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
Configuration of client side components failed!
ipa-client-install returned: Command '/usr/sbin/ipa-client-install --on-master --unattended --domain testrelm.com --server qe-blade-13.testrelm.com --realm TESTRELM.COM --hostname qe-blade-13.testrelm.com' returned non-zero exit status 1


Can workaround by renaming /etc/pki/nss/cert8.db, and key3.db, and can reinstall


Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.x86_64

How reproducible:
intermittently

Steps to Reproduce:
1. install ipa server
2. uninstall
3. reinstall
  
Actual results:
fails with error:
ipa-client-install returned: Command '/usr/sbin/ipa-client-install --on-master --unattended --domain testrelm.com --server qe-blade-13.testrelm.com --realm TESTRELM.COM --hostname qe-blade-13.testrelm.com' returned non-zero exit status 1

Expected results:
be able to reinstall successfully

Additional info:

After reinstalling, it failed, and ipaserver_install.log has -
Domain testrelm.com is already configured in existing SSSD config, creating a new one.
The old /etc/sssd/sssd.conf is backed up and will be restored during uninstall.
Configured /etc/sssd/sssd.conf
Installation failed. Rolling back changes.

2012-06-15T13:38:11Z DEBUG stderr=Failed to add CA to the default NSS database.

And ipaclient_install.log has error -
2012-06-15T13:38:04Z DEBUG Saving Index File to '/var/lib/ipa-client/sysrestore/sysrestore.index'
2012-06-15T13:38:04Z DEBUG Domain testrelm.com is already configured in existing SSSD config, creating a new one.
2012-06-15T13:38:04Z DEBUG args=/usr/bin/certutil -A -d /etc/pki/nssdb -n IPA CA -t CT,C,C -a -i /etc/ipa/ca.crt
2012-06-15T13:38:04Z DEBUG stdout=
2012-06-15T13:38:04Z DEBUG stderr=certutil: could not obtain certificate from file: You are attempting to import a cert with the same issuer/serial as an existing cert, but that is not the same cert.
Comment 2 Dmitri Pal 2012-06-19 09:00:26 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2854
Comment 6 Martin Kosek 2015-01-21 10:06:43 EST
Thank you taking your time and submitting this request for Red Hat Enterprise Linux. Unfortunately, this bug was not given a priority and was deferred both in the upstream project and in Red Hat Enterprise Linux.

Given that we are unable to fulfill this request in following Red Hat Enterprise Linux releases, I am closing the Bugzilla as DEFERRED. To request that Red Hat re-considers the decision, please re-open the Bugzilla via appropriate support channels and provide additional business and/or technical details about its importance to you.

Note that you can still track this request or even contribute patches in the referred upstream Trac ticket.

Note You need to log in before you can comment on or make changes to this bug.